Subject: [Ietf-krb-wg] updated, Kerberos option for DHCPv6

From: Shoichi Sakane <[email-masked]>
Date: Fri, 22 Jan 2010 18:09:28 +0900

Hi all,

I have submitted new version of Kerberos option for DHCPv6.

I have fixed some issues which were described in section of
the specification consideration.  Only remain issue is to
provide an IPv4 address or not.

I added a field of the service type into the KDC sub-option,
which is defined in section 2.2.  The service type provides
the type of the transport of the Kerberos exchange.
It is helpful for a client to determine the way to communicate
with the KDC.  I think that it would be a solution to solve
an interoperability issue which explained in section 4 of RFC 5021.
And I think that it would be helpful for a client to determine
using STARTTLS.  Love also pointed it out at the meeting in Stockholm.

I removed the description of other configuration parameters
to be defined in this document.  These other parameters should
be defined in the future in another document.

I described the behavior when the server does not have any information
to be responded to the client and there is no criteria on the server.
The text is below.

   When the server does not have any information to be responded to the
   client the server SHOULD send the Kerberos option which does not
   contain any sub-option.  This behavior prevents the client from
   retransmitting the Information-request message indefinitely.

Note that the decision of the administrator of the server is
always accorded priority over this behavior.

If you have any comment or suggestion, please let me know.

Best,

Shoichi Sakane
_______________________________________________
ietf-krb-wg mailing list
[email-masked]
https://lists.anl.gov/mailman/listinfo/ietf-krb-wg